This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988329 - spacewalk install misses syslinux dependency
spacewalk install misses syslinux dependency
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Herr
Red Hat Satellite QA List
:
Depends On:
Blocks: space23
  Show dependency treegraph
 
Reported: 2013-07-25 06:26 EDT by Matej Susta
Modified: 2015-04-14 15:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-14 15:02:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Susta 2013-07-25 06:26:20 EDT
Description of problem:


Version-Release number of selected component (if applicable):
2.0

How reproducible:
Follow installation steps for 2.0 Spacewalk.

Actual results:
After installation there is no syslinux pkg installed making cobbler fail on distro/profile creation.

Expected results:
include syslinux into deps of some spacewalk metapackage - provisioning seems to be quite popular function of Satellite and it's a bit PITA that this package is not included in default install as it will break cobbler-sync - and you have to either know or get it from the logs. At least a note in installation instructions would be nice...
Comment 1 Matej Susta 2013-07-25 06:32:33 EDT
Wed Jul 24 18:34:34 2013 - INFO | authenticate; ['spaceroot', True]
Wed Jul 24 18:34:34 2013 - INFO | REMOTE sync; user(spaceroot)
Wed Jul 24 18:34:34 2013 - DEBUG | authorize; ['spaceroot', 'sync', None, None, True]
Wed Jul 24 18:34:34 2013 - DEBUG | REMOTE spaceroot authorization result: True; user(?)
Wed Jul 24 18:34:34 2013 - INFO | sync
Wed Jul 24 18:34:34 2013 - INFO | running pre-sync triggers
Wed Jul 24 18:34:34 2013 - INFO | cleaning trees
Wed Jul 24 18:34:34 2013 - INFO | removing: /var/www/cobbler/images/centos-6-x86_64:2:GRS
Wed Jul 24 18:34:34 2013 - INFO | removing: /var/lib/tftpboot/pxelinux.cfg/default
Wed Jul 24 18:34:34 2013 - INFO | removing: /var/lib/tftpboot/grub/images
Wed Jul 24 18:34:34 2013 - INFO | removing: /var/lib/tftpboot/grub/efidefault
Wed Jul 24 18:34:34 2013 - INFO | removing: /var/lib/tftpboot/images/centos-6-x86_64:2:GRS
Wed Jul 24 18:34:34 2013 - INFO | removing: /var/lib/tftpboot/s390x/profile_list
Wed Jul 24 18:34:34 2013 - INFO | copying bootloaders
Wed Jul 24 18:34:34 2013 - INFO | Exception occured: <class 'cobbler.cexceptions.CX'>
Wed Jul 24 18:34:34 2013 - INFO | Exception value: 'Could not find files matching /usr/lib/syslinux/pxelinux.0'
Wed Jul 24 18:34:34 2013 - INFO | Exception Info:
  File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 1764, in _dispatch
    return method_handle(*params)
   File "/usr/lib/python2.6/site-packages/cobbler/remote.py", line 1609, in sync
    return self.api.sync()
   File "/usr/lib/python2.6/site-packages/cobbler/api.py", line 611, in sync
    return sync.run()
   File "/usr/lib/python2.6/site-packages/cobbler/action_sync.py", line 113, in run
    self.pxegen.copy_bootloaders()
   File "/usr/lib/python2.6/site-packages/cobbler/pxegen.py", line 101, in copy_bootloaders
    dst, api=self.api, cache=False, logger=self.logger)
   File "/usr/lib/python2.6/site-packages/cobbler/utils.py", line 1173, in copyfile_pattern
    raise CX(_("Could not find files matching %s") % pattern)

yum -y install syslinux

Wed Jul 24 18:37:49 2013 - INFO | REMOTE sync; user(spaceroot)
Wed Jul 24 18:37:49 2013 - DEBUG | authorize; ['spaceroot', 'sync', None, None, True]
Wed Jul 24 18:37:49 2013 - DEBUG | REMOTE spaceroot authorization result: True; user(?)
Wed Jul 24 18:37:49 2013 - INFO | sync
Wed Jul 24 18:37:49 2013 - INFO | running pre-sync triggers
Wed Jul 24 18:37:49 2013 - INFO | cleaning trees
Wed Jul 24 18:37:49 2013 - INFO | removing: /var/lib/tftpboot/grub/images
Wed Jul 24 18:37:49 2013 - INFO | copying bootloaders
Wed Jul 24 18:37:49 2013 - INFO | copying: /usr/share/syslinux/pxelinux.0 -> /var/lib/tftpboot/pxelinux.0
Wed Jul 24 18:37:49 2013 - INFO | copying: /usr/share/syslinux/menu.c32 -> /var/lib/tftpboot/menu.c32
Wed Jul 24 18:37:49 2013 - INFO | copying: /usr/share/syslinux/memdisk -> /var/lib/tftpboot/memdisk
Wed Jul 24 18:37:49 2013 - INFO | copying distros
Comment 2 Tomas Lestach 2015-01-16 06:07:59 EST
The issue was addressed by upstream commit ...
spacewalk.git: da111e15523d88daa74481a93f8505437f2c68b9
Comment 3 Grant Gainey 2015-03-23 12:58:50 EDT
Moving bugs to ON_QA as we move to release Spacewalk 2.3
Comment 4 Grant Gainey 2015-04-14 15:02:47 EDT
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23

Note You need to log in before you can comment on or make changes to this bug.